Chimera: chimera_0-8/include/jval.h File Reference

- Main Page
- Classes
- Files
- Directories

- File List
- File Members

# jval.h File Reference

Go to the source code of this file.

## Classes
union | Jval
## Functions
Jval | new_jval_i (int)
Jval | new_jval_l (long)
Jval | new_jval_f (float)
Jval | new_jval_d (double)
Jval | new_jval_v ()
Jval | new_jval_s (char *)
Jval | new_jval_c (char)
Jval | new_jval_uc (unsigned char)
Jval | new_jval_ush (unsigned short)
Jval | new_jval_ui (unsigned int)
Jval | new_jval_iarray (int, int)
Jval | new_jval_farray (float, float)
Jval | new_jval_carray_nt (char *)
Jval | new_jval_carray_nnt (char *)
int | jval_i (Jval)
long | jval_l (Jval)
float | jval_f (Jval)
double | jval_d (Jval)
void * | jval_v (Jval)
char * | jval_s (Jval)
char | jval_c (Jval)
unsigned char | jval_uc (Jval)
short | jval_sh (Jval)
unsigned short | jval_ush (Jval)
unsigned int | jval_ui (Jval)
int * | jval_iarray (Jval)
float * | jval_farray (Jval)
char * | jval_carray (Jval)
## Variables
Jval | new_jval_sh (short)
Jval | JNULL

## Function Documentation

char jval_c | ( | Jval |  | ) |

char* jval_carray | ( | Jval |  | ) |

double jval_d | ( | Jval |  | ) |

float jval_f | ( | Jval |  | ) |

float* jval_farray | ( | Jval |  | ) |

int jval_i | ( | Jval |  | ) |

int* jval_iarray | ( | Jval |  | ) |

long jval_l | ( | Jval |  | ) |

char* jval_s | ( | Jval |  | ) |

short jval_sh | ( | Jval |  | ) |

unsigned char jval_uc | ( | Jval |  | ) |

unsigned int jval_ui | ( | Jval |  | ) |

unsigned short jval_ush | ( | Jval |  | ) |

void* jval_v | ( | Jval |  | ) |

Jval new_jval_c | ( | char |  | ) |

Jval new_jval_carray_nnt | ( | char * |  | ) |

Jval new_jval_carray_nt | ( | char * |  | ) |

Jval new_jval_d | ( | double |  | ) |

Jval new_jval_f | ( | float |  | ) |

Jval new_jval_farray | ( | float | ,
|  | float |
| ) |

Jval new_jval_i | ( | int |  | ) |

Jval new_jval_iarray | ( | int | ,
|  | int |
| ) |

Jval new_jval_l | ( | long |  | ) |

Jval new_jval_s | ( | char * |  | ) |

Jval new_jval_uc | ( | unsigned | char | ) |

Jval new_jval_ui | ( | unsigned | int | ) |

Jval new_jval_ush | ( | unsigned | short | ) |

Jval new_jval_v | ( |  | ) |

## Variable Documentation

Jval JNULL

Jval new_jval_sh(short)